#ifndef SIBS_EXEC_HPP
#define SIBS_EXEC_HPP

#include "Result.hpp"
#include "../include/FileUtil.hpp"
#include <string>

namespace sibs
{
    struct ExecResult
    {
        std::string execStdout;
        int exitCode;
    };

    Result<ExecResult> exec(const _tinydir_char_t *cmd, bool print = false);
    Result<ExecResult> exec(const FileString &cmd, bool print = false);
}

#endif //SIBS_EXEC_HPP
